###
# main.rb is the only file that is directly loaded by the Unveil Package manager.
#
# To include other .rb files, use:
#   include 'filename'
#
# This will allow you to control the load order of your scripts.
#
# If you wish for all scripts to be loaded automatically instead,
# then on 'package.json', set the 'load_all_scripts' to true, like so:
#   "load_all_scripts": true
#
#
# For documentation, please direct to:
# http://unveil.gamepedia.com/Package_Scripts
###

begin
	# Fetch the Weather Stone item token.
	weather_stone = Item_Token.new(:item, :Weather_Stone)

	# Delete all recipes that output a Weather Stone. Should be one.
	Crafting::Recipes.delete_if do |recipe|
		recipe.result.same_item_as?(weather_stone)
	end
end
